using System;
using System.Linq;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;
using System.Collections.Generic;
using fatd_faturamento.BLL.RegraNegocio;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempFaturaBImagePixBarras
    {
        public void Insert(entidadeTempFaturaBImagePixBarras objTempFaturaBImagePixBarras)
        {
            dalTempFaturaBImagePixBarras dalTempFaturaBImagePixBarras = null;

            try
            {
                dalTempFaturaBImagePixBarras = new dalTempFaturaBImagePixBarras();

                dalTempFaturaBImagePixBarras.Insert(objTempFaturaBImagePixBarras);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeTempFaturaBImagePixBarras objTempFaturaBImagePixBarras)
        {
            dalTempFaturaBImagePixBarras dalTempFaturaBImagePixBarras = null;

            try
            {
                dalTempFaturaBImagePixBarras = new dalTempFaturaBImagePixBarras();

                dalTempFaturaBImagePixBarras.Update(objTempFaturaBImagePixBarras);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeTempFaturaBImagePixBarras objTempFaturaBImagePixBarras)
        {
            dalTempFaturaBImagePixBarras dalTempFaturaBImagePixBarras = null;

            try
            {
                dalTempFaturaBImagePixBarras = new dalTempFaturaBImagePixBarras();

                dalTempFaturaBImagePixBarras.Delete(objTempFaturaBImagePixBarras);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select(entidadeTempFaturaBImagePixBarras objTempFaturaBImagePixBarras)
        {
            dalTempFaturaBImagePixBarras dalTempFaturaBImagePixBarras = null;
            DataTable dt = null;

            try
            {
                dalTempFaturaBImagePixBarras = new dalTempFaturaBImagePixBarras();
                dt = dalTempFaturaBImagePixBarras.Select(objTempFaturaBImagePixBarras);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
